Wire-compatible OpenAI legacy Completions proxy
curl --request POST \
--url https://api.blindsight.example.com/api/runtime-security/proxy/openai/v1/completions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'import requests
url = "https://api.blindsight.example.com/api/runtime-security/proxy/openai/v1/completions"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.blindsight.example.com/api/runtime-security/proxy/openai/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Proxy
Wire-compatible OpenAI legacy Completions proxy
Body matches POST https://api.openai.com/v1/completions.
Streaming is not supported on this endpoint — pass
stream=false (or omit the field).
POST
/
api
/
runtime-security
/
proxy
/
openai
/
v1
/
completions
Wire-compatible OpenAI legacy Completions proxy
Authorizations
ApiKeyAuthBlindsightKeyAuthSessionCookieAuth
Blindsight workspace API key (ak_live_…). Use this header for the
scan API and the OpenAI proxy routes. The required permission
scope is runtime_security.scan for scan endpoints,
runtime_security.view for read-only analytics, and
runtime_security.manage for configuration changes.
Body
application/json
The body is of type object.
Response
OpenAI Completion response
The response is of type object.
⌘I

